/*
** $Header: /u/spert/src/fltvec/RCS/fltvec-multiarch.h,v 1.6 1995/10/13 01:28:41 davidj Exp $
** 
** Main header file for ICSI fltvec library.
*/

#ifndef FLTVEC_H_INCLUDED
#define FLTVEC_H_INCLUDED

#if defined(FLTV_IRIS)
#include "fltv-iris.h"
#elif defined(FLTV_SUN4)
#include "fltv-sun4.h"
#elif defined(FLTV_SPERT0)
#include "fltv-spert0.h"
#elif defined(FLTV_RS6000)
#include "fltv-rs6000.h"
#elif defined(FLTV_HP700)
#include "fltv-hp700.h"
#else

#if defined(sun) || defined (__sun) || defined (__sun__)
#include "fltv-sun4.h"
#elif defined(torrent) || defined(__torrent__)
#include "fltv-spert0.h"
#elif defined(sgi) && defined(unix) && defined(mips)
#include "fltv-iris.h"
#endif

#endif

#endif /* #ifndef FLTVEC_H_INCLUDED */



